<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Vector Space Math Operations</TITLE>
<link href="suifmath_30.html" rel=Next>
<link href="suifmath_28.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_28.html">previous</A>, <A HREF="suifmath_30.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC33" HREF="suifmath_toc.html#TOC33">Vector Space Math Operations</A></H3>

<P>
A number of math operations are available in the <CODE>vector_space</CODE>
class.  These include addition, subtraction and intersection.  The
meanings of these operations are described in detail below.  For all
these operations, either a new vector space can be created (i.e. <CODE>X
= V + W</CODE>) or the result can be stored into one of the operands (i.e.
<CODE>X += V</CODE>).

</P>
<P>
<A NAME="IDX499"></A>
<A NAME="IDX500"></A>
Given two spaces <CODE>V</CODE> and <CODE>W</CODE>, then <CODE>X = V + W</CODE> is the
vector space made up of all possible combinations <CODE>x = v + w</CODE>,
where <CODE>v</CODE> is an element of <CODE>V</CODE> and <CODE>w</CODE> is an element of
<CODE>W</CODE>.  Both <CODE>V</CODE> and <CODE>W</CODE> must have the same space
dimension.  For example:

</P>

<PRE>
{(1, 0)} + {(1, 1)} = {(1, 0), (0, 1)}
</PRE>

<P>
<A NAME="IDX501"></A>
<A NAME="IDX502"></A>
Given two spaces <CODE>V</CODE> and <CODE>W</CODE>, then <CODE>X = V - W</CODE> is the
vector space <CODE>V</CODE> with all the common directions removed.  Both
<CODE>V</CODE> and <CODE>W</CODE> must have the same space dimension.

</P>
<P>
For example:

</P>

<PRE>
{(1, 0), (0, 1)} - {(1, 1)} = {(1, -1)}
</PRE>

<P>
<A NAME="IDX503"></A>
<A NAME="IDX504"></A>
The multiplication operator is used for vector space intersection.
Given two spaces <CODE>V</CODE> and <CODE>W</CODE>, then <CODE>X = V * W</CODE> is the
space whose vectors are in both <CODE>V</CODE> and <CODE>W</CODE>.  Both <CODE>V</CODE>
and <CODE>W</CODE> must have the same space dimension.  For example:

</P>

<PRE>
{(1, 0)} * {(0, 1)} = {}
</PRE>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_28.html">previous</A>, <A HREF="suifmath_30.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
